> ## Documentation Index
> Fetch the complete documentation index at: https://docs-grosh.muathye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a budget category



## OpenAPI

````yaml https://grosh.muathye.com/api/openapi.json post /budgeting/categories
openapi: 3.1.0
info:
  title: Grosh API
  version: 1.0.0
  description: >-
    Contacts, Obligations, Budgeting, and Authentication API for the
    application.
servers:
  - url: https://grosh.muathye.com/api
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /budgeting/categories:
    post:
      summary: Create a budget category
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BudgetCategoryRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetCategory'
components:
  schemas:
    BudgetCategoryRequest:
      type: object
      required:
        - kind
        - name
      properties:
        kind:
          type: string
          enum:
            - expense
            - income
        name:
          type: string
          maxLength: 150
        is_active:
          type: boolean
    BudgetCategory:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
          enum:
            - expense
            - income
        name:
          type: string
        is_active:
          type: boolean
        account:
          type: object
          properties:
            id:
              type: string
            name:
              type:
                - string
                - 'null'
            code:
              type:
                - string
                - 'null'
            type:
              type:
                - string
                - 'null'
            is_active:
              type: boolean
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: grosh-session

````